<template>
    <div>
        <b-field label="Label">
            <b-input v-model="fieldProps.label"></b-input>
        </b-field>
        <b-field label="Placeholder">
            <b-input v-model="fieldProps.placeholder"></b-input>
        </b-field>

        <b-field label="Field Type">
            <b-select v-model="fieldProps.type">
                <option value="text">Text</option>
                <option value="password">Password</option>
                <option value="email">Email</option>
            </b-select>
        </b-field>


        <button class="button" @click.prevent="onCancelClick">Cancel</button>
    </div>
</template>

<script>
    import {mapActions, mapGetters} from 'vuex'

    export default {
        data() {
            return {
                fieldProps: {}
            }
        },
        created() {
            this.fieldProps = this.allItems[this.currentItem];
        },
        computed: {
            ...mapGetters(['currentItem', 'allItems']),
        },
        methods: {
            ...mapActions(['editItem']),
            onCancelClick() {
                this.editItem(null);
            },
        },
    }
</script>